curl -X GET https://app.drime.cloud/api/v1/track/infos/487159699 \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"
const entryId = 487159699;
const response = await fetch(`https://app.drime.cloud/api/v1/track/infos/${entryId}`, {
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN'
}
});
const { views } = await response.json();
for (const view of views) {
console.log(`${view.action} from ${view.location || view.ip} at ${view.date}`);
}
import requests
entry_id = 487159699
response = requests.get(
f'https://app.drime.cloud/api/v1/track/infos/{entry_id}',
headers={'Authorization': 'Bearer YOUR_ACCESS_TOKEN'}
)
views = response.json()['views']
for v in views:
location = v.get('location') or v['ip']
print(f"{v['action']} from {location} at {v['date']}")
{
"status": "success",
"views": [
{
"id": 1,
"file_id": 487159699,
"ip": "192.168.1.100",
"date": "2025-12-28 06:42:58",
"action": "view",
"location": "Paris, France",
"user_id": null,
"email": null
},
{
"id": 2,
"file_id": 487159699,
"ip": "10.0.0.50",
"date": "2025-12-28 10:15:30",
"action": "download",
"location": "London, UK",
"user_id": 12345,
"email": "viewer@example.com"
}
]
}
Tracking
Get Tracking Stats
Get detailed tracking statistics for a file
GET
/
track
/
infos
/
{entryId}
curl -X GET https://app.drime.cloud/api/v1/track/infos/487159699 \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"
const entryId = 487159699;
const response = await fetch(`https://app.drime.cloud/api/v1/track/infos/${entryId}`, {
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN'
}
});
const { views } = await response.json();
for (const view of views) {
console.log(`${view.action} from ${view.location || view.ip} at ${view.date}`);
}
import requests
entry_id = 487159699
response = requests.get(
f'https://app.drime.cloud/api/v1/track/infos/{entry_id}',
headers={'Authorization': 'Bearer YOUR_ACCESS_TOKEN'}
)
views = response.json()['views']
for v in views:
location = v.get('location') or v['ip']
print(f"{v['action']} from {location} at {v['date']}")
{
"status": "success",
"views": [
{
"id": 1,
"file_id": 487159699,
"ip": "192.168.1.100",
"date": "2025-12-28 06:42:58",
"action": "view",
"location": "Paris, France",
"user_id": null,
"email": null
},
{
"id": 2,
"file_id": 487159699,
"ip": "10.0.0.50",
"date": "2025-12-28 10:15:30",
"action": "download",
"location": "London, UK",
"user_id": 12345,
"email": "viewer@example.com"
}
]
}
Overview
Retrieves detailed tracking information for a specific file, including who viewed it, when, and from where.Path Parameters
integer
required
File entry ID
Query Parameters
integer
Workspace ID
Response
array
string
Request status (
success)curl -X GET https://app.drime.cloud/api/v1/track/infos/487159699 \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"
const entryId = 487159699;
const response = await fetch(`https://app.drime.cloud/api/v1/track/infos/${entryId}`, {
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN'
}
});
const { views } = await response.json();
for (const view of views) {
console.log(`${view.action} from ${view.location || view.ip} at ${view.date}`);
}
import requests
entry_id = 487159699
response = requests.get(
f'https://app.drime.cloud/api/v1/track/infos/{entry_id}',
headers={'Authorization': 'Bearer YOUR_ACCESS_TOKEN'}
)
views = response.json()['views']
for v in views:
location = v.get('location') or v['ip']
print(f"{v['action']} from {location} at {v['date']}")
{
"status": "success",
"views": [
{
"id": 1,
"file_id": 487159699,
"ip": "192.168.1.100",
"date": "2025-12-28 06:42:58",
"action": "view",
"location": "Paris, France",
"user_id": null,
"email": null
},
{
"id": 2,
"file_id": 487159699,
"ip": "10.0.0.50",
"date": "2025-12-28 10:15:30",
"action": "download",
"location": "London, UK",
"user_id": 12345,
"email": "viewer@example.com"
}
]
}
If the viewer was logged in, their
user_id and email will be included in the event data.⌘I

